Acceptor.AcceptorState (Apache Tomcat 9.0.37 API Documentation)

org.apache.tomcat.util.net

## Enum Acceptor.AcceptorState

- java.lang.Object
- - java.lang.Enum<Acceptor.AcceptorState>
  - - org.apache.tomcat.util.net.Acceptor.AcceptorState

- All Implemented Interfaces:
    Serializable, Comparable<Acceptor.AcceptorState>
  Enclosing class:
    Acceptor<U>

      public static enum Acceptor.AcceptorState
      extends Enum<Acceptor.AcceptorState>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENDED`
    `NEW`
    `PAUSED`
    `RUNNING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Acceptor.AcceptorState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Acceptor.AcceptorState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NEW

          public static final Acceptor.AcceptorState NEW

    - #### RUNNING

          public static final Acceptor.AcceptorState RUNNING

    - #### PAUSED

          public static final Acceptor.AcceptorState PAUSED

    - #### ENDED

          public static final Acceptor.AcceptorState ENDED

  - ### Method Detail

    - #### values

          public static Acceptor.AcceptorState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Acceptor.AcceptorState c : Acceptor.AcceptorState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Acceptor.AcceptorState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2020 Apache Software Foundation. All Rights Reserved.